Description: Fix unit test failure due to deprecated function
Author: Valentin Vidic <vvidic@debian.org>
Last-Update: 2025-02-01
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/test/test_api.py
+++ b/test/test_api.py
@@ -81,8 +81,9 @@
 
 if __name__ == '__main__':
     suite = unittest.TestSuite()
-    suite.addTest(unittest.makeSuite(CallTest, "test"))
-    suite.addTest(unittest.makeSuite(CopySlurpTest, "test"))
+    loader = unittest.TestLoader()
+    suite.addTest(loader.loadTestsFromTestCase(CallTest))
+    suite.addTest(loader.loadTestsFromTestCase(CopySlurpTest))
     result = unittest.TextTestRunner().run(suite)
     if not result.wasSuccessful():
         sys.exit(1)
